(set-logic QF_LIA)
(set-info :source | Benchmark A.Gamatié 2011 - BathSimple
|)
   

(set-info :smt-lib-version 2.0)
(set-info :category "academic")
(set-info :status sat)

(declare-fun scarce () Bool)  
(declare-fun bscarce () Bool) 

(declare-fun level () Int)
(declare-fun blevel () Bool) 

(declare-fun overflow () Bool)
(declare-fun boverflow () Bool)

(declare-fun alarm () Bool)
(declare-fun balarm () Bool)  

(assert 
    (and 
    (<=> bscarce blevel)	
    (<=> boverflow blevel)

    (<=> overflow (>= level 7))
    (<=> scarce (>= 0 level))

    (<=> alarm (or scarce overflow))
    (and (<= level 42) (<= 0 level))

    (<=> balarm (and boverflow bscarce scarce overflow))
    )
)

(check-sat)
(get-valuation "bathsimple.val")
